body {
  background-color: var(--brand-100);
}

/* ============================================
   COLOURS
   ============================================ */

.bg-brand-50 {
  background-color: var(--brand-50);
}
.bg-brand-100 {
  background-color: var(--brand-100);
}
.bg-brand-200 {
  background-color: var(--brand-200);
}
.bg-brand-300 {
  background-color: var(--brand-300);
}
.bg-brand-400 {
  background-color: var(--brand-400);
}
.bg-brand-500 {
  background-color: var(--brand-500);
}
.bg-brand-600 {
  background-color: var(--brand-600);
}
.bg-brand-700 {
  background-color: var(--brand-700);
}
.bg-brand-800 {
  background-color: var(--brand-800);
}
.bg-brand-900 {
  background-color: var(--brand-900);
}
.bg-brand-950 {
  background-color: var(--brand-950);
}
.txt-brand-50 {
  color: var(--brand-50);
}
.txt-brand-100 {
  color: var(--brand-100);
}
.txt-brand-200 {
  color: var(--brand-200);
}
.txt-brand-300 {
  color: var(--brand-300);
}
.txt-brand-400 {
  color: var(--brand-400);
}
.txt-brand-500 {
  color: var(--brand-500);
}
.txt-brand-600 {
  color: var(--brand-600);
}
.txt-brand-700 {
  color: var(--brand-700);
}
.txt-brand-800 {
  color: var(--brand-800);
}
.txt-brand-900 {
  color: var(--brand-900);
}
.txt-brand-950 {
  color: var(--brand-950);
}

/* ============================================
   TEXT
   ============================================ */
body {
  font-family: var(--body-font);
  color: var(--brand-950);
  font-size: 1rem;
  line-height: 1.5;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 500;
}

code {
  font-size: 1rem;
  font-family: var(--code-font);
}

mark {
  background-color: var(--brand-300);
}

/* ============================================
   BUTTONS
   ============================================ */

.btn-wrap {
  display: flex;
  flex-direction: row;
  gap: 5px;
  justify-content: flex-start;
  align-items: center;
}
.btn-1 {
  border-radius: 100rem;
  background-color: var(--brand-600);
  color: var(--brand-50);
  padding: 0.5rem 1rem;
  cursor: pointer;
  transition: all 350ms ease;
  border: 2px solid var(--brand-600);
}
.btn-1:hover {
  text-decoration: underline;
  text-underline-offset: 0.1rem;
  background-color: var(--brand-50);
  color: var(--brand-600);
}
.btn-2 {
  border-radius: 100rem;
  background-color: var(--brand-50);
  color: var(--brand-600);
  padding: 0.5rem 1rem;
  cursor: pointer;
  transition: all 350ms ease;
  border: 2px solid var(--brand-600);
}
.btn-2:hover {
  text-decoration: underline;
  text-underline-offset: 0.1rem;
  background-color: var(--brand-600);
  color: var(--brand-50);
}
.btn-3 {
  border-radius: 100rem;
  background-color: var(--brand-50);
  color: var(--brand-600);
  padding: 0.5rem 1rem;
  cursor: pointer;
  transition: all 350ms ease;
  border: 2px solid var(--brand-50);
  text-decoration: underline;
  text-underline-offset: 0.1rem;
}
.btn-3:hover {
  background-color: var(--brand-50);
  color: var(--brand-600);
  border: 2px solid var(--brand-600);
}
.btn-s {
  padding: 0.25rem 0.5rem;
}
.btn-m {
  padding: 0.5rem 0.75rem;
}
.btn-l {
  padding: 0.75rem 1rem;
}
.btn-s-ir {
  display: flex;
  flex-direction: row;
  padding: 0.25rem 0.25rem 0.25rem 0.5rem;
}
.btn-m-ir {
  display: flex;
  flex-direction: row;
  padding: 0.5rem 0.5rem 0.5rem 0.75rem;
}
.btn-l-ir {
  display: flex;
  flex-direction: row;
  padding: 0.75rem 0.75rem 0.75rem 1rem;
}
.btn-s-il {
  display: flex;
  flex-direction: row;
  padding: 0.25rem 0.5rem 0.25rem 0.25rem;
}
.btn-m-il {
  display: flex;
  flex-direction: row;
  padding: 0.5rem 0.75rem 0.5rem 0.5rem;
}
.btn-l-il {
  display: flex;
  flex-direction: row;
  padding: 0.75rem 1rem 0.75rem 0.75rem;
}

/* ============================================
   FORMS
   ============================================ */

.form-field-wrap {
  display: flex;
  flex-direction: column;
}

input {
  padding: 0.5rem;
  border-radius: 1rem;
}

label {
  font-size: 1.25rem;
}

/* ============================================
   NAVBAR
   ============================================ */

.nav-icon {
  width: 16px;
  height: 16px;
}

.nav-icon--filled {
  display: none;
}

.nav-btn:hover .nav-icon--outlined,
.nav-btn:focus-visible .nav-icon--outlined {
  display: none;
}

.nav-btn:hover .nav-icon--filled,
.nav-btn:focus-visible .nav-icon--filled {
  display: block;
}

.nav-label {
  position: absolute;
  top: calc(100% + 0.25rem);
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--brand-100);
  color: var(--brand-600);
  padding: 0rem 0.25rem;
  border-radius: 0.25rem;
  border: 1px solid var(--brand-600);
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.2s ease;
}

.nav-btn:hover .nav-label,
.nav-btn:focus-visible .nav-label {
  opacity: 1;
}

.nav-btn {
  height: 42px;
  width: 42px;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 0.25rem;
  border: 1px solid var(--brand-400);
  background-color: var(--brand-200);
  color: var(--brand-600);
}

.nav-wrap {
  pointer-events: none;
  position: fixed;
  bottom: 0;
  top: auto;
  left: 0%;
  right: 0%;
  bottom: 0%;
}

.nav-bar {
  pointer-events: auto;
  position: absolute;
  top: auto;
  left: 50%;
  right: auto;
  bottom: calc(20px + env(safe-area-inset-bottom));
  transform: translate(-50%);
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: 1rem;
  padding: 0.75rem 1.5rem;
  border-radius: 100rem;
  border: 1px solid var(--brand-400);
  background-color: var(--brand-200);
  max-width: calc(100dvw - 40px);
  min-width: 200px;
}

#nav-tray {
  position: fixed;
  z-index: 100;
  bottom: 10px;
  border: 1px solid var(--brand-500);
  border-radius: 10px;
  max-width: calc(100dvw - 20px);
  max-height: calc(100dvh - 80px);
  transform: translate(-50%);
  left: 50%;
  bottom: calc(60px + env(safe-area-inset-bottom));
  padding: 1rem;
}

#nav-tray[hidden] {
  display: none;
}

.nav-grid {
  display: flex;
  gap: 0.5rem;
}

.nav-wrap ul {
  list-style: none;
}

.nav-toggle {
  height: 24px;
  width: 24px;
  border: none;
  color: var(--brand-600);
  background-color: none;
}

/* ============================================
   STYLE GUIDE
   ============================================ */

.colour-palette {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 0.75rem;
}
.colour-swatch {
  width: 175px;
  min-width: 100px;
  height: 100px;
  padding: 0.5rem;
  border-radius: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid var(--brand-400);
  flex-direction: column;
  gap: 0.5rem;
  flex-grow: 1;
}
.colour-tag {
  background-color: var(--brand-50);
  color: var(--brand-950);
  border-radius: 100rem;
  padding: 0.25rem 0.75rem;
  font-size: 0.75rem !important;
}
.text-box {
  border: 1px solid var(--brand-400);
  border-radius: 0.75rem;
  margin-bottom: 1.5rem;
  overflow: hidden;
}
.text-box-title {
  border-bottom: 1px solid var(--brand-400);
  padding: 0.75rem;
  background-color: var(--brand-100);
}
.text-box-body {
  padding: 0.75rem;
}

/* ============================================
   MISC
   ============================================ */

.section {
  margin: 1rem;
}

.content {
  margin: auto;
  max-width: 1200px;
}

.viewport {
  width: 100svw;
  height: 100svh;
}

.background-image {
  position: absolute;
  z-index: -1;
  width: 100vw;
  height: 100vh;
  object-fit: cover;
}

.login-page-wrap {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100svw;
  height: 100svh;
}

.login-form-wrap {
  background-color: var(--brand-100);
  width: 300px;
  overflow-y: auto;
  padding: 2rem;
  border-radius: 2rem;
}

.login-form-step {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
